package agentk

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/agent_configuration"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/agent_configuration/rpc"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentk"
)

type Factory struct {
}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) Name() string {
	return agent_configuration.ModuleName
}

func (f *Factory) New(config *modagentk.Config) (modagentk.Module, error) {
	config.RegisterKASAPI(&rpc.AgentConfiguration_ServiceDesc)
	return nil, nil
}
